/* Botão hambúrguer */
.menu-toggle {
  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 5px;
  background: none;
  border: none;
}

/* Linhas */
.menu-toggle span {
  width: 25px;
  height: 3px;
  background: var(--text);
  border-radius: 5px;
  transition: 0.3s;
}

/* Animação (quando ativo) */
.menu-toggle.active span:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active span:nth-child(2) {
  opacity: 0;
}

.menu-toggle.active span:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}